| Home | Libraries | People | FAQ | More

## Struct template pre_inc

boost::proto::pre_inc — A metafunction for generating pre-increment expression types, a grammar element for matching pre-increment expressions, and a PrimitiveTransform that dispatches to the `proto::pass_through<>` transform.

## Synopsis

    // In header: <boost/proto/traits.hpp>

    template<typename T>
    struct pre_inc :  proto::transform< pre_inc<T> > {
      // types
      typedef proto::expr< proto::tag::pre_inc, proto::list1< T > >       type;
      typedef proto::basic_expr< proto::tag::pre_inc, proto::list1< T > > proto_grammar;

      // member classes/structs/unions
      template<typename Expr, typename State, typename Data>
      struct impl :
         proto::pass_through<pre_inc>::template impl<Expr, State, Data>
      {
      };
    };

## Description